Advanced roadmap - Error #394

Sort versions by date
2011-01-20 13:25 - Emilio Gonzalez Montafia

Status: Resolved

Priority: Normal

Assignee: Emilio Gonzalez Montafia
Category: Milestones

Target version: Advanced roadmap 0.3.1
Source:

Detected on version:

Start date:
Due date:
% Done:

Estimated time:

Redmine version:

2011-02-21
2011-02-21
100%

0.00 hour

Description

On milestone show view, versions must be sorted by date if present (and due in is 0), if not there are several options:

e Sort by name.
e Sort by due in (first in list versions with due in smaller).

Associated revisions

Revision 31d798e1 - 2011-02-21 18:00 - Emilio Gonzalez Montaiha
#394
e Versions are sort by this order:
1. Effective date.

2. Due in.
3. Name.

Revision 6c6df0de - 2011-02-21 18:24 - Emilio Gonzalez Montaiia
#394

e Fix sort algorithm, and refactorized into Version model.
e Applied to project roadmap (Version index action).

History

#1 - 2011-02-21 19:01 - Emilio Gonzalez Montaina
- Due date set to 2011-02-21

- Status changed from New to Resolved

- Assignee set to Emilio Gonzalez Montaria

- Start date changed from 2011-01-20 to 2011-02-21
- % Done changed from 0 to 100
